Check scenario access
curl --request GET \
--url https://api.exec.com/rest/v1/scenarios/{scenario_id}/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exec.com/rest/v1/scenarios/{scenario_id}/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exec.com/rest/v1/scenarios/{scenario_id}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_email": "[email protected]",
"scenario_id": "s1c2e3n4a5r6",
"permissions": {
"can_view": true,
"can_share": true,
"can_monitor": false,
"can_edit": false
}
}{
"error": {
"type": "invalid_request",
"code": "invalid_pagination",
"message": "Invalid pagination parameters"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid or inactive API key"
}
}{
"error": {
"type": "not_found",
"message": "Scenario not found: abc123"
}
}Scenarios
Check scenario access
Check if a user has access to a specific scenario and what permission level they have.
GET
/
scenarios
/
{scenario_id}
/
access
Check scenario access
Authorizations
API key created in Settings > API.
Format: exec_live_ followed by 40 alphanumeric characters.
Path Parameters
Scenario identifier
Query Parameters
Email of the user to check access for
Example:
⌘I